<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>TP4 - Cryptohraphie: Sources/hmi.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TP4 - Cryptohraphie
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_937900b87e0c7a5fa01190c395fb83f7.html">Sources</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">hmi.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &quot;<a class="el" href="defines_8h_source.html">defines.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="encrypt_8h_source.html">encrypt.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="clear_8h_source.html">clear.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="caesar_8h_source.html">caesar.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ab5e9fcd7520fd95146d8b8bf7e0ed5c9"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hmi_8c.html#ab5e9fcd7520fd95146d8b8bf7e0ed5c9">hmi</a> (void)</td></tr>
<tr class="separator:ab5e9fcd7520fd95146d8b8bf7e0ed5c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac644d6c625272f69e23b9d093e86953d"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hmi_8c.html#ac644d6c625272f69e23b9d093e86953d">askType</a> (<a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *toEncrypt)</td></tr>
<tr class="separator:ac644d6c625272f69e23b9d093e86953d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b76482779531bcf71e4d43fd002ef5d"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hmi_8c.html#a9b76482779531bcf71e4d43fd002ef5d">askMethod</a> (<a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *toEncrypt)</td></tr>
<tr class="separator:a9b76482779531bcf71e4d43fd002ef5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d12f0e225e3b36d91ae9230a52c1e82"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hmi_8c.html#a1d12f0e225e3b36d91ae9230a52c1e82">askString</a> (<a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *toEncrypt)</td></tr>
<tr class="separator:a1d12f0e225e3b36d91ae9230a52c1e82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf4dd671fa82cbd13d8244bd1f77fc58"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hmi_8c.html#acf4dd671fa82cbd13d8244bd1f77fc58">askKey</a> (<a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *toEncrypt)</td></tr>
<tr class="separator:acf4dd671fa82cbd13d8244bd1f77fc58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e1122e9594026eb5d4289040cb1a8d7"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="hmi_8c.html#a0e1122e9594026eb5d4289040cb1a8d7">askFilePath</a> (<a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *toEncrypt)</td></tr>
<tr class="separator:a0e1122e9594026eb5d4289040cb1a8d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a0e1122e9594026eb5d4289040cb1a8d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e1122e9594026eb5d4289040cb1a8d7">&#9670;&nbsp;</a></span>askFilePath()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char askFilePath </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *&#160;</td>
          <td class="paramname"><em>toEncrypt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acf4dd671fa82cbd13d8244bd1f77fc58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf4dd671fa82cbd13d8244bd1f77fc58">&#9670;&nbsp;</a></span>askKey()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char askKey </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *&#160;</td>
          <td class="paramname"><em>toEncrypt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9b76482779531bcf71e4d43fd002ef5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b76482779531bcf71e4d43fd002ef5d">&#9670;&nbsp;</a></span>askMethod()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char askMethod </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *&#160;</td>
          <td class="paramname"><em>toEncrypt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1d12f0e225e3b36d91ae9230a52c1e82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d12f0e225e3b36d91ae9230a52c1e82">&#9670;&nbsp;</a></span>askString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char askString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *&#160;</td>
          <td class="paramname"><em>toEncrypt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac644d6c625272f69e23b9d093e86953d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac644d6c625272f69e23b9d093e86953d">&#9670;&nbsp;</a></span>askType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char askType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a> *&#160;</td>
          <td class="paramname"><em>toEncrypt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab5e9fcd7520fd95146d8b8bf7e0ed5c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5e9fcd7520fd95146d8b8bf7e0ed5c9">&#9670;&nbsp;</a></span>hmi()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int hmi </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
